<div [ngClass] = "buttonTitle=='Create Post' ? 'row justify-content-end' : ''">
    <div [ngClass] = " buttonTitle=='Create Post' ? 'col-auto' : ''">
        <li class="list-inline-item"><button [ngClass]="buttonClass" (click)="open(content)">{{buttonTitle}}</button></li>
    </div>
</div>

<ng-template #content let-modal class="modal fade">
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">{{modalTitle}}</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form #myForm="ngForm">
            <div class="form-group">
                <label for="name">Post Name</label>
                <input minlength="4" maxlength="20" required [(ngModel)]="this.postData.name" #postName="ngModel" name="postName"
                    type="text" class="form-control" id="name" placeholder="Enter name...">
                <div *ngIf="postName.errors?.minlength && postName.dirty"><small class="validation-error">Minimum 4
                        letters required!</small></div>
                <p *ngIf="postName.errors?.required && postName.touched"><small class="validation-error">*This
                        field is required!</small></p>

            </div>
            <div class="form-group">
                <label for="InputDescription">Decription</label>
                <textarea maxlength="100" required [(ngModel)]="this.postData.description" #postDescription="ngModel"
                    name="postDescription" class="form-control" id="description" rows="3"
                    placeholder="Enter Description..."></textarea>
                <div *ngIf="!postDescription.valid && postDescription.touched"><small class="validation-error">*This
                        field is
                        required!</small></div>
            </div>
            <div class="form-group">
                <label for="postCategory">Category</label>
                <select required [(ngModel)]="this.postData.category" #postCategory="ngModel" name="postCategory"
                    class="form-control" id="categoryControlSet">
                    <option [value]="undefinedObject" [disabled]="true" hidden>Select category...</option>
                    <option *ngFor="let category of this.categoriesList">{{category}}</option>
                </select>
                <div *ngIf="postCategory.invalid && postCategory.touched"><small class="validation-error">*This field is
                        required!</small></div>
            </div>
            <div class="form-group">
                <div class="input-group">
                    <label for="postExpirationDate" class="exp-date-label">Expiration Date</label>
                    <input [minDate]="this.minDate" [markDisabled]="isDisabled" required class="form-control"
                        placeholder="yyyy-mm-dd" name="postExpirationDate" [(ngModel)]="this.postData.expiringDate"
                        ngbDatepicker #postExpirationDate="ngbDatepicker">
                    <div class="input-group-append">
                        <button #postExpirationDateButton class="btn btn-outline-secondary far fa-calendar-alt"
                            (click)="postExpirationDate.toggle()" type="button"></button>
                    </div>
                    <div
                        *ngIf="(!postExpirationDate.valid && postExpirationDate.touched) || (postExpirationDateButton.touched && !postExpirationDate.valid)">
                        <small class="validation-error">*This
                            field is required!</small></div>
                </div>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <ul class="list-inline justify-content-center">
            <li class="list-inline-item"><button [disabled]="myForm.invalid" type="submit" (click)="onSubmit(); modal.dismiss('Post click')"
                    class="btn btn-primary">Post</button></li>
            <li class="list-inline-item"><button [disabled]="myForm.invalid" class="btn btn-secondary" (click)="modal.dismiss('Save click'); onSaveClick()">Save</button>
            </li>
            <li class="list-inline-item"><button class="btn btn-danger"
                    (click)="modal.dismiss('Delete click')">Cancel</button></li>
        </ul>

    </div>
</ng-template>